aboutsummaryrefslogtreecommitdiff
path: root/scripts/install_dependencies.sh
diff options
context:
space:
mode:
authorNavan Chauhan <navanchauhan@gmail.com>2023-10-08 10:28:39 -0600
committerNavan Chauhan <navanchauhan@gmail.com>2023-10-08 10:28:39 -0600
commit613702d008db69847f783516521f77b52d5183ef (patch)
tree353628d4e7bec7cfbf56cce465642318fa485393 /scripts/install_dependencies.sh
parent7907067adfac43fcaf7b0eb76c174669935de9be (diff)
trying to add CD
Diffstat (limited to 'scripts/install_dependencies.sh')
-rwxr-xr-xscripts/install_dependencies.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/install_dependencies.sh b/scripts/install_dependencies.sh
new file mode 100755
index 0000000..9bbf541
--- /dev/null
+++ b/scripts/install_dependencies.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+if ! command -v poetry &> /dev/null
+then
+ curl -sSL https://install.python-poetry.org | python3 -
+fi
+
+cd /home/ec2-user
+poetry install